> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an existing webhook profile



## OpenAPI

````yaml /openapi/webhooks-20260203.json get /notifications/webhooks/{webhookProfileId}
openapi: 3.1.0
info:
  title: WEBHOOKS
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Settings
paths:
  /notifications/webhooks/{webhookProfileId}:
    get:
      tags:
        - Profile
      summary: Get an existing webhook profile
      operationId: webhooks-profiles-get
      parameters:
        - name: webhookProfileId
          in: path
          description: Unique identifier for the webhook profile
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Webhook profile is returned
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WebhookProfile'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Webhook profile cannot be found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookProfile:
      type: object
      properties:
        accountId:
          type: string
          description: Account Id
        eventTypes:
          type: array
          description: >-
            Event types that will be sent to the URL. If empty, then all events
            will be sent to the URL.


            Reference [Webhook events](https://docs.meld.io/docs/webhook-events)
          items:
            type: string
        eventVersion:
          type: string
          description: |-
            Version of webhooks sent to the URL.

            Reference [Webhook version](https://docs.meld.io/docs/versioning)
        id:
          type: string
          description: Unique identifier
        key:
          type: string
          description: >-
            Unique key corresponding to a webhook profile's position in a
            paginated list of results. Only present if this webhook profile is
            in a paginated response.


            Reference [Pagination](https://docs.meld.io/docs/pagination)
        name:
          type: string
          description: Display name
        secret:
          type: string
          description: >-
            Secret used to validate authenticity of a webhook.


            Reference [Webhook
            authentication](https://docs.meld.io/docs/webhook-authentication)
        status:
          type: string
          description: Current status
          enum:
            - ACTIVE
            - DISABLED
        url:
          type: string
          description: URL where webhooks will be sent
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````